Bug 9686 - Fix a possible buffer overrun in pdb_smbpasswd.
Fix a possible buffer overrun in pdb_smbpasswd.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Domain Control
3.6.12
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-26 15:17 UTC by Andreas Schneider
Modified: 2013-03-01 15:26 UTC (History)
0 users

See Also:


Attachments
v3-6-test and v4-0-test patch (1.52 KB, patch)
2013-02-26 15:17 UTC, Andreas Schneider
ab: review+
asn: review? (jra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2013-02-26 15:17:03 UTC
Fix a possible buffer overrun in pdb_smbpasswd.
Comment 1 Andreas Schneider 2013-02-26 15:17:31 UTC
Created attachment 8587 [details]
v3-6-test and v4-0-test patch
Comment 2 Alexander Bokovoy 2013-02-26 17:09:04 UTC
Comment on attachment 8587 [details]
v3-6-test and v4-0-test patch

As I reviewed these patches already, ACK.
Comment 3 Alexander Bokovoy 2013-02-26 17:09:23 UTC
Comment on attachment 8587 [details]
v3-6-test and v4-0-test patch

(Add actual review flag) As I reviewed these patches already, ACK.
Comment 4 Andreas Schneider 2013-02-26 18:20:05 UTC
Karolin, please add to 3.6 and 4.0.
Comment 5 Karolin Seeger 2013-02-27 09:02:59 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-03-01 15:26:11 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!